<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="m-4">

  <div
    id="titleLabel"
    class="h4"
    [innerText]="title">
  </div>

  <table
    aria-labelledby="titleLabel"
    class="mt-3 bg-white table table-striped table-borderless border shadow-sm">

    <thead class="border">
      <tr>
        <th
          scope="col"
          class="th-sm"
          [innerText]="commonMessages.NAME">
        </th>
        <th
          scope="col"
          class="th-sm col-buttons-fixed-size"
          [innerText]="commonMessages.ACTIONS">
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let templateType of templateTypeList">
        <td [innerText]="templateType | templateTypeName"></td>
        <td>
          <button
            ls-button
            [style]="style.NORMAL"
            [icon]="commonIcons.EDIT_ICON"
            [ngbTooltip]="commonMessages.EDIT"
            (click)="onEditButtonClicked(templateType)">
          </button>
        </td>
      </tr>
    </tbody>
  </table>

</div>
